## nova 0.9.1~bzr331

=== doc/source/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/nova.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/nova.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
nova (0.9.1~bzr331-0ubuntu2) maverick; urgency=low

  * Add a minimal patch to ensure a string gets returned as an
    instance's internal ID. (LP: #657053)

 -- Soren Hansen <soren@ubuntu.com>  Fri, 08 Oct 2010 23:16:58 +0200

nova (0.9.1~bzr331-0ubuntu1) maverick; urgency=low

  [ Soren Hansen ]
  * New upstream snapshot (FFe ref: LP #645936)
  * Add SQLAlchemy dependency.
  * Specify that we want sqlite and we want it in
    /var/lib/nova/nova.sqlite.
  * Move "adduser nova libvirtd" to nova-compute.postinst.
  * Add python-eventlet and python-routes dependencies.
  * Make /bin/true our error handler for init scripts.
  * Install nova-api-new as nova-api.
  * Add nova-scheduler package.
  * Add /bin/kill to sudoers.
  * Make sure nova_sudoers has the correct mode, otherwise sudo gets
    very upset.
  * Add ebtables and gawk dependencies for nwfilter stuff to work.

  [ Chuck Short ]
  * Add dependency on lvm2 for nova-volume.
  * Add lvm commands to sudoers list.

 -- Soren Hansen <soren@ubuntu.com>  Tue, 21 Sep 2010 16:36:37 +0200

nova (0.9.1~bzr265-0ubuntu1) maverick; urgency=low

  * New upstream snapshot (FFe: LP: #628027)
  * Install uml libvirt xml file.
  * Add adduser as a dependency of nova-common so that we can create a
    nova user.
  * Create a nova user on install.
  * Create a separate tmpdir for nova, so that we can limit calls to
    chmod/chown to dirs and files in that directory.
  * Add nova-network package.
  * Add a sudoers file for nova, so that we don't have to run as root
    anymore.
  * Fix all init scripts to run their respective daemons as nova.
  * Update nova-compute flag file to account for moved libvirt
    templates.
  * Make all init scripts create /var/run/nova.
  * Move all pidfiles into /var/run/nova.
  * Make all daemons create a log file in /var/log/nova.
  * Respect DEB_BUILD_OPTIONS=nocheck.
  * Add a logrotate config file.

 -- Soren Hansen <soren@ubuntu.com>  Tue, 07 Sep 2010 13:12:10 +0200

nova (0.9.1~bzr204-0ubuntu2) maverick; urgency=low

  * Make sure debian/start-redis is executable.

 -- Soren Hansen <soren@ubuntu.com>  Sat, 07 Aug 2010 11:38:30 +0200

nova (0.9.1~bzr204-0ubuntu1) maverick; urgency=low

  * First OpenStack release.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 04 Aug 2010 13:27:50 +0200

=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: Soren Hansen <soren@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
 redis-server (>=2:2.0.0~rc1),
 python-m2crypto,
 python-all
Build-Depends-Indep: python-support, python-setuptools, python-sphinx,
 python-twisted-web, python-redis, python-gflags, python-mox, python-tornado,
 python-carrot, python-boto, python-amqplib, python-ipy, openssh-client,
 python-sqlalchemy, python-eventlet, python-routes
Standards-Version: 3.9.0
XS-Python-Version: 2.6
Homepage: http://launchpad.net/nova
Vcs-Browser: http://bazaar.launchpad.net/~nova-core/nova/debian-packaging/files
Vcs-Bzr: http://bazaar.launchpad.net/~nova-core/nova/debian-packaging/


Package: python-nova
Architecture: all
Section: python
Depends: ${python:Depends}, aoetools, vlan, python-ipy, python-boto,
 python-m2crypto, python-pycurl, python-twisted-core, python-twisted-web, python-daemon,
 python-redis, python-carrot, python-lockfile, python-gflags, python-tornado,
 python-libxml2, python-ldap, python-sqlalchemy, python-eventlet,
 python-routes, ${misc:Depends}
Provides: ${python:Provides}
Description: OpenStack Compute - Nova - Python libraries
 OpenStack is free, open source software for building reliable cloud
 infrastructure.
 .
 Nova is a cloud computing fabric controller (the main part of an IaaS
 system) built to match the popular AWS EC2 and S3 APIs. It is written in
 Python, using the Tornado and Twisted frameworks, and relies on the
 standard AMQP messaging protocol, and the Redis KVS.
 .
 Nova is intended to be easy to extend, and adapt. For example, it
 currently uses an LDAP server for users and groups, but also includes a
 fake LDAP server, that stores data in Redis. It has extensive test
 coverage, and uses the Sphinx toolkit (the same as Python itself) for code
 and user documentation.
 .
 While Nova is currently in Beta use within several organizations, the
 codebase is very much under active development.
 .
 This package contains the Python libraries.


Package: nova-common
Architecture: all
Depends: python-nova (= ${binary:Version}), ${python:Depends}, ${misc:Depends}, adduser
Provides: ${python:Provides}
Description: OpenStack Compute - Nova - common files
 OpenStack is free, open source software for building reliable cloud
 infrastructure.
 .
 Nova is a cloud computing fabric controller (the main part of an IaaS
 system) built to match the popular AWS EC2 and S3 APIs. It is written in
 Python, using the Tornado and Twisted frameworks, and relies on the
 standard AMQP messaging protocol, and the Redis KVS.
 .
 Nova is intended to be easy to extend, and adapt. For example, it
 currently uses an LDAP server for users and groups, but also includes a
 fake LDAP server, that stores data in Redis. It has extensive test
 coverage, and uses the Sphinx toolkit (the same as Python itself) for code
 and user documentation.
 .
 While Nova is currently in Beta use within several organizations, the
 codebase is very much under active development.
 .
 This package contains things that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends: nova-common (= ${binary:Version}), kpartx, kvm, python-libvirt, libvirt-bin (>= 0.8.1), curl, parted, ebtables, gawk, iptables, ${python:Depends}, ${misc:Depends}
Description: OpenStack Compute - Nova - compute node
 OpenStack is free, open source software for building reliable cloud
 infrastructure.
 .
 Nova is a cloud computing fabric controller (the main part of an IaaS
 system) built to match the popular AWS EC2 and S3 APIs. It is written in
 Python, using the Tornado and Twisted frameworks, and relies on the
 standard AMQP messaging protocol, and the Redis KVS.
 .
 Nova is intended to be easy to extend, and adapt. For example, it
 currently uses an LDAP server for users and groups, but also includes a
 fake LDAP server, that stores data in Redis. It has extensive test
 coverage, and uses the Sphinx toolkit (the same as Python itself) for code
 and user documentation.
 .
 While Nova is currently in Beta use within several organizations, the
 codebase is very much under active development.
 .
 This is the package you will install on the nodes that will run your
 virtual machines.

Package: nova-scheduler
Architecture: all
Depends: nova-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: OpenStack Compute - Nova - Scheduler
 OpenStack is free, open source software for building reliable cloud
 infrastructure.
 .
 Nova is a cloud computing fabric controller (the main part of an IaaS
 system) built to match the popular AWS EC2 and S3 APIs. It is written in
 Python, using the Tornado and Twisted frameworks, and relies on the
 standard AMQP messaging protocol, and the Redis KVS.
 .
 Nova is intended to be easy to extend, and adapt. For example, it
 currently uses an LDAP server for users and groups, but also includes a
 fake LDAP server, that stores data in Redis. It has extensive test
 coverage, and uses the Sphinx toolkit (the same as Python itself) for code
 and user documentation.
 .
 While Nova is currently in Beta use within several organizations, the
 codebase is very much under active development.
 .
 This is the Nova scheduler


Package: nova-volume
Architecture: all
Depends: nova-common (= ${binary:Version}), vblade, vblade-persist, lvm2, ${python:Depends}, ${misc:Depends}
Description: OpenStack Compute - Nova - storage
 OpenStack is free, open source software for building reliable cloud
 infrastructure.
 .
 Nova is a cloud computing fabric controller (the main part of an IaaS
 system) built to match the popular AWS EC2 and S3 APIs. It is written in
 Python, using the Tornado and Twisted frameworks, and relies on the
 standard AMQP messaging protocol, and the Redis KVS.
 .
 Nova is intended to be easy to extend, and adapt. For example, it
 currently uses an LDAP server for users and groups, but also includes a
 fake LDAP server, that stores data in Redis. It has extensive test
 coverage, and uses the Sphinx toolkit (the same as Python itself) for code
 and user documentation.
 .
 While Nova is currently in Beta use within several organizations, the
 codebase is very much under active development.
 .
 This is the package you will install on your storage nodes.

Package: nova-api
Architecture: all
Depends: nova-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: OpenStack Compute - Nova - API frontend
 OpenStack is free, open source software for building reliable cloud
 infrastructure.
 .
 Nova is a cloud computing fabric controller (the main part of an IaaS
 system) built to match the popular AWS EC2 and S3 APIs. It is written in
 Python, using the Tornado and Twisted frameworks, and relies on the
 standard AMQP messaging protocol, and the Redis KVS.
 .
 Nova is intended to be easy to extend, and adapt. For example, it
 currently uses an LDAP server for users and groups, but also includes a
 fake LDAP server, that stores data in Redis. It has extensive test
 coverage, and uses the Sphinx toolkit (the same as Python itself) for code
 and user documentation.
 .
 While Nova is currently in Beta use within several organizations, the
 codebase is very much under active development.
 .
 This package provides the API frontend.

Package: nova-network
Architecture: all
Depends: nova-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: OpenStack Compute - Nova - Network thingamajig
 OpenStack is free, open source software for building reliable cloud
 infrastructure.
 .
 Nova is a cloud computing fabric controller (the main part of an IaaS
 system) built to match the popular AWS EC2 and S3 APIs. It is written in
 Python, using the Tornado and Twisted frameworks, and relies on the
 standard AMQP messaging protocol, and the Redis KVS.
 .
 Nova is intended to be easy to extend, and adapt. For example, it
 currently uses an LDAP server for users and groups, but also includes a
 fake LDAP server, that stores data in Redis. It has extensive test
 coverage, and uses the Sphinx toolkit (the same as Python itself) for code
 and user documentation.
 .
 While Nova is currently in Beta use within several organizations, the
 codebase is very much under active development.
 .
 This is the package you will install on the nodes that will contain your
 object store.

Package: nova-objectstore
Architecture: all
Depends: nova-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: OpenStack Compute - Nova - object store
 OpenStack is free, open source software for building reliable cloud
 infrastructure.
 .
 Nova is a cloud computing fabric controller (the main part of an IaaS
 system) built to match the popular AWS EC2 and S3 APIs. It is written in
 Python, using the Tornado and Twisted frameworks, and relies on the
 standard AMQP messaging protocol, and the Redis KVS.
 .
 Nova is intended to be easy to extend, and adapt. For example, it
 currently uses an LDAP server for users and groups, but also includes a
 fake LDAP server, that stores data in Redis. It has extensive test
 coverage, and uses the Sphinx toolkit (the same as Python itself) for code
 and user documentation.
 .
 While Nova is currently in Beta use within several organizations, the
 codebase is very much under active development.
 .
 This is the package you will install on the nodes that will contain your
 object store.

Package: nova-instancemonitor
Architecture: all
Depends: nova-common (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Description: Nova instance monitor
 OpenStack is free, open source software for building reliable cloud
 infrastructure.
 .
 Nova is a cloud computing fabric controller (the main part of an IaaS
 system) built to match the popular AWS EC2 and S3 APIs. It is written in
 Python, using the Tornado and Twisted frameworks, and relies on the
 standard AMQP messaging protocol, and the Redis KVS.
 .
 Nova is intended to be easy to extend, and adapt. For example, it
 currently uses an LDAP server for users and groups, but also includes a
 fake LDAP server, that stores data in Redis. It has extensive test
 coverage, and uses the Sphinx toolkit (the same as Python itself) for code
 and user documentation.
 .
 While Nova is currently in Beta use within several organizations, the
 codebase is very much under active development.
 .
 This package contains the Instance Monitor for Nova.

Package: nova-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: OpenStack Compute - Nova - documetation
 OpenStack is free, open source software for building reliable cloud
 infrastructure.
 .
 Nova is a cloud computing fabric controller (the main part of an IaaS
 system) built to match the popular AWS EC2 and S3 APIs. It is written in
 Python, using the Tornado and Twisted frameworks, and relies on the
 standard AMQP messaging protocol, and the Redis KVS.
 .
 Nova is intended to be easy to extend, and adapt. For example, it
 currently uses an LDAP server for users and groups, but also includes a
 fake LDAP server, that stores data in Redis. It has extensive test
 coverage, and uses the Sphinx toolkit (the same as Python itself) for code
 and user documentation.
 .
 While Nova is currently in Beta use within several organizations, the
 codebase is very much under active development.
 .
 This package contains the documentation for Nova.

=== debian/watch ===
version=3
http://launchpad.net/nova http://launchpad.net/nova/trunk/.*/nova-(.*)\.tar\.gz

## nova 12.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6
SQLAlchemy<1.1.0,>=0.9.9
boto>=2.32.1
decorator>=3.4.0
eventlet>=0.17.4
Jinja2>=2.6 # BSD License (3 clause)
keystonemiddleware>=2.0.0
lxml>=2.3
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
Routes!=2.0,>=1.12.3;python_version!='2.7'
cryptography>=1.0 # Apache-2.0
WebOb>=1.2.3
greenlet>=0.3.2
PasteDeploy>=1.5.0
Paste
PrettyTable<0.8,>=0.7
sqlalchemy-migrate>=0.9.6
netaddr!=0.7.16,>=0.7.12
netifaces>=0.10.4
paramiko>=1.13.0
Babel>=1.3
iso8601>=0.1.9
jsonschema!=2.5.0,<3.0.0,>=2.0.0
python-cinderclient>=1.3.1
python-keystoneclient>=1.6.0
python-neutronclient>=2.6.0
python-glanceclient>=0.18.0
requests>=2.5.2
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
setuptools>=16.0
websockify>=0.6.1
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.config>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.reports>=0.1.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
oslo.db>=2.4.1 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
rfc3986>=0.2.0 # Apache-2.0
oslo.middleware>=2.8.0 # Apache-2.0
psutil<2.0.0,>=1.1.1
oslo.versionedobjects>=0.9.0
alembic>=0.8.0
os-brick>=0.4.0 # Apache-2.0

=== debian/changelog ===
nova (1:12.0.0-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Nov 2015 11:17:46 +0100

nova (1:12.0.0-4) unstable; urgency=medium

  * Added q-text-as-data as depends of nova-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:52:41 +0000

nova (1:12.0.0-3) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 09:08:37 +0000

nova (1:12.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 12:42:41 +0000

nova (1:12.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Updated the Danish translation of the debconf templates thanks to Joe
    Dalton <joedalton2@yahoo.dk> (Closes: #800397).
  * Updated Dutch translation of debconf messages thanks to Frans
    Spiesschaert <Frans.Spiesschaert@yucom.be> (Closes: #797349).
  * Added rsync as a dependency for nova-compute (Closes: #801579).

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 15:53:29 +0200

nova (1:12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Now nova-api depends on python-openstackclient.
  * Fixed missing migrate.cfg file, preventing SQL migration to work.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2015 13:04:19 +0000

nova (1:12.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed patches, deleted obsolete ones.
  * Fixed install of nova/locale.
  * Fixed install of usr/bin/nova-rootwrap-daemon.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Sep 2015 15:03:48 +0200

nova (1:12.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Reviewed (build-)depends for this release.
  * Using oslo-config-generator to build the sample config file.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 22:55:25 +0000

nova (1:12.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Reviewed (build-)depends for this release.
  * Rebased patches and removed those applied upstream.
  * Fixed export OSLO_PACKAGE_VERSION to not give PBR the ~ char.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Jul 2015 10:22:47 +0200

nova (2015.1.0-8) unstable; urgency=medium

  * Allow running with SQLA 1.0.6.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Jul 2015 03:17:58 +0000

nova (2015.1.0-7) unstable; urgency=medium

  * Still needs Breaks: + Replaces: of nova-compute-uml in nova-compute-ironic,
    as per Andreas Beckmann <anbe@debian.org> advice (Closes: #788992).

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jun 2015 14:38:44 +0200

nova (2015.1.0-6) unstable; urgency=medium

  * Removes nova-compute-uml (is there anyone using it?).

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Jun 2015 13:10:49 +0000

nova (2015.1.0-5) unstable; urgency=medium

  * Renames service_neutron_metadata_proxy as service_metadata_proxy, as per
    upstream deprecation. Thanks to Mathieu Rohon for the bug report
    (Closes: #788815).

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Jun 2015 15:05:13 +0200

nova (2015.1.0-4) unstable; urgency=medium

  * Added hotfix from upstream:
    - Fix_loading_things_in_instance_extra_for_old_instances.patch
    - Create-instance_extra-entry-if-it-doesn_t-update.patch
    - Fix-max_number-for-migrate_flavor-data.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Jun 2015 11:08:32 +0200

nova (2015.1.0-3) unstable; urgency=medium

  [ gustavo panizzo ]
  * Add a missing rootwrap filter, needed to use unprivileged lxc.

  [ Thomas Goirand ]
  * Added bridge-utils dependency in nova-common (Closes: #786488).
  * Updated fr.po thanks to Julien Patriarca (Closes: #786497).

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 May 2015 16:08:33 +0200

nova (2015.1.0-2) unstable; urgency=medium

  * Added conflicts: nova-baremetal for the nova-compute-ironic
    (Closes: #784294).

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 May 2015 23:38:56 +0200

nova (2015.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 21:59:59 +0000

nova (2015.1~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends for this release.
  * Removed the nova-baremetal package, since there's now Ironic.
  * Added a nova-conmpute-ironic package.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Dec 2014 09:53:43 +0800

nova (2014.2.1-2) experimental; urgency=medium

  * Now build-depends on openstack-pkg-tools (>= 20~).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Dec 2014 15:47:29 +0000

nova (2014.2.1-1) experimental; urgency=medium

  * New upstream release.
  * CVE-2014-3708_Fixes_DOS_issue_in_instance_list_ip_filter_juno.patch has
    been applied upstream, removing it.
  * Added patch for removing ssl.PROTOCOL_SSLv3 from openstack/common.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Dec 2014 23:51:29 +0800

nova (2014.2-5) experimental; urgency=medium

  * Fixed init scripts to use libvirtd instead of libvirt-bin (Closes: #772699)

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Dec 2014 19:20:05 +0800

nova (2014.2-4) experimental; urgency=medium

  * Added CVE-2014-3708_Fixes_DOS_issue_in_instance_list_ip_filter_juno.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Nov 2014 05:33:13 +0800

nova (2014.2-3) experimental; urgency=medium

  * Reworked the default nova.conf to use the new section and clean the
    deprecated ones.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Oct 2014 00:21:27 +0800

nova (2014.2-2) experimental; urgency=medium

  * Added conntrack as Depends: for nova-compute.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Oct 2014 00:05:33 +0800

nova (2014.2-1) experimental; urgency=medium

  * New upstream release.



=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           gustavo panizzo <gfa@zumbi.com.ar>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 37~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools (>= 16.0),
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     bandit (>= 0.13.2),
                     bpython,
                     euca2ools,
                     ipython,
                     libvirt-daemon-system,
                     openssh-client,
                     procps,
                     python-babel,
                     python-barbicanclient (>= 3.3.0),
                     python-boto,
                     python-cinderclient (>= 1:1.3.1),
                     python-coverage,
                     python-cryptography (>= 1.0),
                     python-decorator,
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-glanceclient (>= 1:0.18.0),
                     python-greenlet,
                     python-hacking (>= 0.10.0),
                     python-ironicclient (>= 0.8.0),
                     python-iso8601,
                     python-jinja2,
                     python-jsonschema,
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 2.0.0),
                     python-lxml,
                     python-memcache,
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.3),
                     python-mox3,
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-netifaces (>= 0.10.4),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.9.0),
                     python-os-brick (>= 0.4.0),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.middleware (>= 2.8.0),
                     python-oslo.reports,
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.7.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslo.versionedobjects (>= 0.9.0),
                     python-oslo.vmware (>= 0.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko,
                     python-paste,
                     python-pastedeploy,
                     python-pil,
                     python-prettytable,
                     python-psutil,
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6.0),
                     python-rfc3986,
                     python-routes,
                     python-six (>= 1.9.0),
                     python-sphinxcontrib.seqdiag,
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.8.0),
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     sqlite3,
                     subunit,
                     testrepository,
                     websockify (>= 0.6.1),
Build-Conflicts: python-cjson
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/nova.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/nova.git
Homepage: http://www.openstack.org/software/openstack-compute/

Package: python-nova
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         openssh-client,
         openssl,
         python-babel,
         python-boto,
         python-cinderclient (>= 1:1.3.1),
         python-cryptography (>= 1.0),
         python-decorator,
         python-eventlet (>= 0.17.4),
         python-feedparser,
         python-glanceclient (>= 1:0.18.0),
         python-greenlet,
         python-iso8601,
         python-jinja2,
         python-jsonschema,
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 2.0.0),
         python-lxml,
         python-memcache,
         python-migrate (>= 0.9.6),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-netifaces (>= 0.10.4),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.9.0),
         python-os-brick (>= 0.4.0),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.middleware (>= 2.8.0),
         python-oslo.reports,
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.7.0),
         python-oslo.utils (>= 2.0.0),
         python-oslo.versionedobjects (>= 0.9.0),
         python-paramiko,
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-prettytable,
         python-psutil,
         python-psycopg2 (>= 2.5),
         python-pycurl,
         python-pymysql,
         python-pyparsing (>= 1.5.7),
         python-requests (>= 2.5.2),
         python-rfc3986,
         python-routes,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-tempita,
         python-webob,
         sudo,
         websockify (>= 0.6.1),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-suds (>= 0.4.0)
Conflicts: python-cjson
Description: OpenStack Compute - libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains the core Python parts of Nova.

Package: nova-common
Architecture: all
Depends: adduser,
         bridge-utils,
         dbconfig-common,
         iproute2 | iproute,
         python-amqplib,
         python-configobj,
         python-iso8601,
         python-nova (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-pysqlite2 | python-mysqldb | python-pygresql
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains elements that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends: adduser,
         conntrack,
         curl,
         ebtables,
         gawk,
         iptables,
         kpartx,
         nova-common (= ${binary:Version}),
         nova-compute-kvm | nova-compute-hypervisor,
         open-iscsi,
         parted,
         python-cinderclient,
         qemu-utils,
         rsync,
         vlan,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Replaces: python-nova (<< 2012.1~rc1-1)
Breaks: python-nova (<< 2012.1~rc1-1)
Description: OpenStack Compute - compute node
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package equips a system to function as a compute node, running the
 virtual machines.

Package: nova-compute-lxc
Architecture: all
Depends: adduser,
         dpkg-dev,
         libvirt-daemon-system,
         nova-common,
         nova-compute,
         python-libvirt (>= 1.2.5),
         ${misc:Depends},
         ${python:Depends},
Provides: nova-compute-hypervisor
Conflicts: nova-compute-ironic,
           nova-compute-kvm,
           nova-compute-qemu,
           nova-compute-xen,
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using LXC.

Package: nova-compute-qemu
Architecture: all
Depends: adduser,
         dpkg-dev,
         libvirt-daemon-system,
         nova-common,
         nova-compute,
         python-libvirt (>= 1.2.5),
         qemu,
         ${misc:Depends},
Provides: nova-compute-hypervisor
Conflicts: nova-compute-ironic,
           nova-compute-kvm,
           nova-compute-lxc,
           nova-compute-xen,
Description: OpenStack Compute - compute node (QEmu)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using QEmu.

Package: nova-compute-kvm
Architecture: all
Depends: adduser,
         dpkg-dev,
         libvirt-daemon-system,
         nova-common,
         nova-compute,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog -S Version | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')

include /usr/share/python/python.mk
debroot = debian/tmp
site_packages_dir=$(debroot)$(call py_libdir,$(shell pyversions -d))

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/ doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -rf nova.egg-info
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/nova-common.config debian/nova-common.postinst debian/nova-compute-xen.postinst \
		debian/nova-api.config debian/nova-api.postinst
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build etc/nova/nova.conf.sample
	rm -rf .testrepository subunit.log instances keys

override_dh_auto_build:
	dh_auto_build

	oslo-config-generator --config-file=etc/nova/nova-config-generator.conf

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-compute-xen.postinst

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/nova-doc/usr/share/doc/nova-doc/html
	sphinx-build -b man doc/source doc/build/man
	dh_sphinxdoc -O--buildsystem=python_distutils
	#python setup.py build_sphinx
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	dh_installman -O--buildsystem=python_distutils
endif


override_dh_install:
	python setup.py install -f --install-layout=deb --root=$(debroot)
	mkdir -p $(debroot)/usr/share

	rm debian/tmp/usr/bin/nova-api-os-compute
	rm debian/tmp/usr/bin/nova-api-metadata
	rm debian/tmp/usr/bin/nova-api-ec2

	dh_install --fail-missing -Xbin/nova-all -Xbin/nova-objectstore
	mkdir -p $(CURDIR)/debian/nova-common/usr/share/nova-common
	cp etc/nova/nova.conf.sample $(CURDIR)/debian/nova-common/usr/share/nova-common

	install -D -m 0440 $(CURDIR)/debian/nova-common.sudoers $(CURDIR)/debian/nova-common/etc/sudoers.d/nova-common
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/usr/share/nova-common/logging.conf
	set -e ; for hypervisor in qemu kvm uml lxc ironic; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done
	install -D -m 0600 $(CURDIR)/debian/nova-compute-xen.conf.dist $(CURDIR)/debian/nova-compute-xen/usr/share/nova-compute-xen/nova-compute.conf
	find $(CURDIR)/debian -name .gitignore -delete
	cp $(CURDIR)/nova/db/sqlalchemy/migrate_repo/migrate.cfg $(CURDIR)/debian/python-nova/usr/lib/python2.7/dist-packages/nova/db/sqlalchemy/migrate_repo

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers
	dh_fixperms -Xnova_tgt
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/projects/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/reqs/.gitignore

	# Make sure all our plugins are executable
#	set -e ; for i in $(CURDIR)/debian/nova-xcp-plugins/usr/lib/xcp/plugins/* ; do \
#		chmod +x $$i ; \
#	done
#	# Don't ask, that's as stupid as it seems... (and it wouldn't work without this!)
#	mkdir -p $(CURDIR)/debian/nova-xcp-plugins/etc/xcp
#	echo "{}" >$(CURDIR)/debian/nova-xcp-plugins/etc/xcp/xenhost.conf
#	chmod 0440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova-common

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	./run_tests.sh -N -P || true
	#python setup.py testr --slowest --testr-args='--subunit  ' || true
endif

# We use override_dh_installmenu because it's done in the sequence with dh,
# and we already override dh_installinit in pkgos.make.
# Obviously, we will never use a Desktop menu in such a package, so that's
# not a problem.
override_dh_installmenu:
	#dh_installinit -pnova-console --name=nova-consoleauth
	dh_installinit --name=nova-novncproxy
	dh_installinit --name=nova-spicehtml5proxy
	dh_installinit --name=nova-xenvncproxy
	install -D -m 0644 $(CURDIR)/debian/nova-consoleproxy.mydefault $(CURDIR)/debian/nova-consoleproxy/usr/share/nova-consoleproxy/default

override_dh_python2:
	dh_python2
	# This is needed for the XCP plugins, which have to be installed in
	# a non-standard directory. This is a problem upstream which isn't
	# fixable in Debian easily (though it isn't a policy violation).
	dh_python2  /usr/lib/xcp
